Get RP Json

This method is used to fetch all the information about risk in a CycloneDX format.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.RiskPrioritization.getJson(
  organization="Demo Org",
  account_name="Demo Account"
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the organization requesting the risk information.

string
required

Name of the account associated with the organization.

risk_ids
array of strings

List of risk identifiers (such as CVE IDs) for which CycloneDX risk information is requested.

risk_ids
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json